Open Lighting Architecture: ola::rdm::MessageDeserializer Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::rdm::MessageDeserializer Class Reference

## Detailed Description

This visitor inflates the message from raw data.

Inheritance diagram for ola::rdm::MessageDeserializer:

## Public Member Functions
const ola::messaging::Message * | InflateMessage (const class ola::messaging::Descriptor *descriptor, const uint8_t *data, unsigned int length)
| Deserialize a memory location and return a message.
bool | Descend () const
void | Visit (const ola::messaging::BoolFieldDescriptor *)
void | Visit (const ola::messaging::IPV4FieldDescriptor *)
void | Visit (const ola::messaging::MACFieldDescriptor *)
void | Visit (const ola::messaging::UIDFieldDescriptor *)
void | Visit (const ola::messaging::StringFieldDescriptor *)
void | Visit (const ola::messaging::IntegerFieldDescriptor< uint8_t > *)
void | Visit (const ola::messaging::IntegerFieldDescriptor< uint16_t > *)
void | Visit (const ola::messaging::IntegerFieldDescriptor< uint32_t > *)
void | Visit (const ola::messaging::IntegerFieldDescriptor< int8_t > *)
void | Visit (const ola::messaging::IntegerFieldDescriptor< int16_t > *)
void | Visit (const ola::messaging::IntegerFieldDescriptor< int32_t > *)
void | Visit (const ola::messaging::FieldDescriptorGroup *)
| Visit a group field.
void | PostVisit (const ola::messaging::FieldDescriptorGroup *)

## Member Function Documentation

## ◆ Descend()

bool ola::rdm::MessageDeserializer::Descend | ( |  | ) | const
| inlinevirtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ PostVisit()

void ola::rdm::MessageDeserializer::PostVisit | ( | const ola::messaging::FieldDescriptorGroup * |  | ) |
| inlinevirtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [1/12]

void ola::rdm::MessageDeserializer::Visit | ( | const ola::messaging::BoolFieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [2/12]

void ola::rdm::MessageDeserializer::Visit | ( | const ola::messaging::FieldDescriptorGroup * | descriptor | ) |
| virtual

Visit a group field.

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [3/12]

void ola::rdm::MessageDeserializer::Visit | ( | const ola::messaging::IntegerFieldDescriptor< int16_t > * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [4/12]

void ola::rdm::MessageDeserializer::Visit | ( | const ola::messaging::IntegerFieldDescriptor< int32_t > * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [5/12]

void ola::rdm::MessageDeserializer::Visit | ( | const ola::messaging::IntegerFieldDescriptor< int8_t > * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [6/12]

void ola::rdm::MessageDeserializer::Visit | ( | const ola::messaging::IntegerFieldDescriptor< uint16_t > * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [7/12]

void ola::rdm::MessageDeserializer::Visit | ( | const ola::messaging::IntegerFieldDescriptor< uint32_t > * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [8/12]

void ola::rdm::MessageDeserializer::Visit | ( | const ola::messaging::IntegerFieldDescriptor< uint8_t > * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [9/12]

void ola::rdm::MessageDeserializer::Visit | ( | const ola::messaging::IPV4FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [10/12]

void ola::rdm::MessageDeserializer::Visit | ( | const ola::messaging::MACFieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [11/12]

void ola::rdm::MessageDeserializer::Visit | ( | const ola::messaging::StringFieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [12/12]

void ola::rdm::MessageDeserializer::Visit | ( | const ola::messaging::UIDFieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

The documentation for this class was generated from the following files:

- include/ola/rdm/MessageDeserializer.h
- common/rdm/MessageDeserializer.cpp